Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.render.renderer
Interface PortletRenderer

All Superinterfaces:
  ObjectRenderer

All Known Implementing Classes:
  DivPortletRenderer, DynaPortletRenderer, EmptyPortletRenderer

    public interface PortletRenderer

extends ObjectRenderer

The portlet renderer is responsible for adding the created markup of a portlet to the page.

The portlet renderer is intended to be called by the `WindowRenderer` as part of the generation of the markup for a portlet window. The portlet renderer is not responsible for generating the decoration markup, like the title. The `DecorationRenderer` is responsible for that. It is also called by the `WindowRenderer` as part of the render process for one portlet window.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  `PortalRenderSet`, `WindowRenderer`, `DecorationRenderer`

Method Summary
`void` | `render(RendererContext rendererContext, PortletRendererContext prc)` Render the markup of a portlet.

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Method Detail

### render

    void render(RendererContext rendererContext,
                PortletRendererContext prc)
                throws RenderException

  Render the markup of a portlet.

  Note: this is not calling the portlet container to produce the markup. The markup has already been created. The PortletRenderer only places the markup on the page, and can gnerate some containing markup around it if it chooses to do so

  .

  Parameters:
    `rendererContext` - the state holder to provide information about the region, it's portlets, and the render set, which allows access to the other renderer interfaces of the render set.
  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD